Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.resource.connectionmanager
Class JBossLocalXAExceptionFormatter

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.resource.connectionmanager.JBossLocalXAExceptionFormatter

All Implemented Interfaces:
  JBossLocalXAExceptionFormatterMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, org.jboss.system.Service, org.jboss.system.ServiceMBean, org.jboss.tm.XAExceptionFormatter

public class JBossLocalXAExceptionFormatter
extends org.jboss.system.ServiceMBeanSupport
implements org.jboss.tm.XAExceptionFormatter, JBossLocalXAExceptionFormatterMBean

JBossLocalXAExceptionFormatter.java Created: Tue Jan 28 12:45:22 2003

Version:
Author:
  Igor Fedorenko., David Jencks

Field Summary

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`JBossLocalXAExceptionFormatter()`

Method Summary
`void` | `formatXAException(XAException xae, org.jboss.logging.Logger log)`
`javax.management.ObjectName` | `getTransactionManagerService()` mbean get-set pair for field transactionManagerService Get the value of transactionManagerService
`void` | `setTransactionManagerService(javax.management.ObjectName transactionManagerService)` The `setTransactionManagerService` method
`protected void` | `startService()`
`protected void` | `stopService()`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, createService, destroy, destroyService, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, start, stop`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JBossLocalXAExceptionFormatter

    public JBossLocalXAExceptionFormatter()

Method Detail

### getTransactionManagerService

    public javax.management.ObjectName getTransactionManagerService()

  mbean get-set pair for field transactionManagerService Get the value of transactionManagerService

  Specified by:
    `getTransactionManagerService` in interface `JBossLocalXAExceptionFormatterMBean`
  Returns:
    value of transactionManagerService

### setTransactionManagerService

    public void setTransactionManagerService(javax.management.ObjectName transactionManagerService)

  The `setTransactionManagerService` method

  Specified by:
    `setTransactionManagerService` in interface `JBossLocalXAExceptionFormatterMBean`
  Parameters:
    `transactionManagerService` - an `ObjectName` value

### startService

    protected void startService()
                         throws Exception

  Throws:
    `Exception`

### stopService

    protected void stopService()
                        throws Exception

  Throws:
    `Exception`

### formatXAException

    public void formatXAException(XAException xae,
                                  org.jboss.logging.Logger log)

  Specified by:
    `formatXAException` in interface `org.jboss.tm.XAExceptionFormatter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.